Bug 1283622 - rome-1.6.0 is available
rome-1.6.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rome (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1325406
  Show dependency treegraph
 
Reported: 2015-11-19 07:41 EST by gil cattaneo
Modified: 2016-04-11 04:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: rome-1.6.0-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 04:45:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file (8.55 KB, text/plain)
2016-03-25 14:45 EDT, gil cattaneo
no flags Details
spec file (8.54 KB, text/plain)
2016-03-25 15:12 EDT, gil cattaneo
no flags Details
rome-create-tarball.sh (575 bytes, application/x-shellscript)
2016-03-25 15:13 EDT, gil cattaneo
no flags Details

  None (edit)
Description gil cattaneo 2015-11-19 07:41:08 EST
Latest upstream release: 1.5.1
Current version/release in rawhide: 0.9-19.fc23
URL: https://github.com/rometools/rome/tags
New home: http://rometools.org/
Comment 1 Alexander Kurtakov 2016-03-25 11:49:00 EDT
Gil, do you plan working on this one?
Comment 2 gil cattaneo 2016-03-25 14:33:07 EDT
(In reply to Alexander Kurtakov from comment #1)
> Gil, do you plan working on this one?
Sure, but there are some issues that should be resolved before:
https://github.com/rometools/rome/issues/288
Comment 3 gil cattaneo 2016-03-25 14:45 EDT
Created attachment 1140389 [details]
spec file

rome.spec
Comment 4 gil cattaneo 2016-03-25 15:12 EDT
Created attachment 1140415 [details]
spec file

New rome.spec

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13460087
Comment 5 gil cattaneo 2016-03-25 15:13 EDT
Created attachment 1140423 [details]
rome-create-tarball.sh
Comment 6 gil cattaneo 2016-03-27 16:04:52 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 6748160 bytes in 368 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (with incorrect FSF address)", "Unknown
     or generated". 445 files have unknown license. Detailed output of
     licensecheck in /home/gil/1321440-SuperLU43/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     SuperLU43-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 6768640 bytes in /usr/share
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.15 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.15
INFO: Mock Version: 1.2.15
Finish: chroot init
INFO: installing package(s): /home/gil/1321440-SuperLU43/results/SuperLU43-4.3-2.fc25.i686.rpm /home/gil/1321440-SuperLU43/results/SuperLU43-devel-4.3-2.fc25.i686.rpm /home/gil/1321440-SuperLU43/results/SuperLU43-debuginfo-4.3-2.fc25.i686.rpm /home/gil/1321440-SuperLU43/results/SuperLU43-debuginfo-4.3-2.fc25.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/gil/1321440-SuperLU43/results/SuperLU43-4.3-2.fc25.i686.rpm /home/gil/1321440-SuperLU43/results/SuperLU43-devel-4.3-2.fc25.i686.rpm /home/gil/1321440-SuperLU43/results/SuperLU43-debuginfo-4.3-2.fc25.i686.rpm /home/gil/1321440-SuperLU43/results/SuperLU43-debuginfo-4.3-2.fc25.i686.rpm --setopt=tsflags=nocontexts
WARNING: unable to delete selinux filesystems (/tmp/mock-selinux-plugin.j_tj20ck): [Errno 1] Operation not permitted: '/tmp/mock-selinux-plugin.j_tj20ck'


Rpmlint
-------
Checking: SuperLU43-4.3-2.fc25.i686.rpm
          SuperLU43-devel-4.3-2.fc25.i686.rpm
          SuperLU43-debuginfo-4.3-2.fc25.i686.rpm
          SuperLU43-4.3-2.fc25.src.rpm
SuperLU43.i686: W: spelling-error %description -l en_US preordered -> reordered, p reordered, prerecorded
SuperLU43.i686: W: spelling-error %description -l en_US preordering -> reordering, p reordering, preordaining
SuperLU43.i686: W: spelling-error %description -l en_US compat -> compact, combat, cowpat
SuperLU43.i686: W: shared-lib-calls-exit /usr/lib/libsuperlu.so.4.3 exit@GLIBC_2.0
SuperLU43-devel.i686: W: spelling-error %description -l en_US compat -> compact, combat, cowpat
SuperLU43-devel.i686: E: incorrect-fsf-address /usr/share/doc/SuperLU43-devel/EXAMPLE/dfgmr.c
SuperLU43-devel.i686: E: incorrect-fsf-address /usr/share/doc/SuperLU43-devel/EXAMPLE/sfgmr.c
SuperLU43-devel.i686: E: incorrect-fsf-address /usr/share/doc/SuperLU43-devel/EXAMPLE/zfgmr.c
SuperLU43-devel.i686: E: incorrect-fsf-address /usr/share/doc/SuperLU43-devel/EXAMPLE/cfgmr.c
SuperLU43.src: W: spelling-error %description -l en_US preordered -> reordered, p reordered, prerecorded
SuperLU43.src: W: spelling-error %description -l en_US preordering -> reordering, p reordering, preordaining
SuperLU43.src: W: spelling-error %description -l en_US compat -> compact, combat, cowpat
4 packages and 0 specfiles checked; 4 errors, 8 warnings.




Requires
--------
SuperLU43-debuginfo (rpmlib, GLIBC filtered):

SuperLU43-devel (rpmlib, GLIBC filtered):
    SuperLU43(x86-32)
    libsuperlu.so.4.3

SuperLU43 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libsatlas.so.3
    rtld(GNU_HASH)



Provides
--------
SuperLU43-debuginfo:
    SuperLU43-debuginfo
    SuperLU43-debuginfo(x86-32)

SuperLU43-devel:
    SuperLU43-devel
    SuperLU43-devel(x86-32)

SuperLU43:
    SuperLU43
    SuperLU43(x86-32)
    libsuperlu.so.4.3



Source checksums
----------------
http://crd-legacy.lbl.gov/~xiaoye/SuperLU/superlu_4.3.tar.gz :
  CHECKSUM(SHA256) this package     : 169920322eb9b9c6a334674231479d04df72440257c17870aaa0139d74416781
  CHECKSUM(SHA256) upstream package : 169920322eb9b9c6a334674231479d04df72440257c17870aaa0139d74416781


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1321440 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 gil cattaneo 2016-03-27 16:06:36 EDT
Issues:

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 6748160 bytes in 368 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

Please, add suggested sub package
Comment 8 gil cattaneo 2016-03-27 16:09:46 EDT
sorry
Comment 9 gil cattaneo 2016-04-11 04:45:27 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13624137

Note You need to log in before you can comment on or make changes to this bug.